body {
  font-family: "Poppins", sans-serif;
  font-size: 12px;
}

input,
textarea {
  font-size: 12px !important;
}

textarea {
  height: 39px !important;
}

[class^="col-"] {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.row {
  margin-left: 0 !important;
  margin-right: 0 !important;

}




.pr-5 {
  padding-right: 5px !important;
}

.pl-20 {
  padding-right: 5px !important;
}

.validation-message {
  color: red;
  font-size: 11px !important;
  text-align: left;
}

.outpagelayout-container {
  height: 100vh !important;
}

.login-banner {
  background-image: url(../image/login_img.jpg);
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: center;
  text-align: center;
}

.login-banner .logo {
  display: inline-block;
  margin-top: 50px;
  background-color: #ffffff;
  padding: 15px;
  cursor: pointer;
}

.spartaxx-logo {
  text-align: center;
  margin-top: 20px;
  cursor: pointer;
}

.login-box {
  background: #f8f8f8;
  padding: 20px 30px;
  margin-top: 10px;
}

.login-box .welcome {
  font-size: 42px !important;
  font-weight: 700;
  line-height: 49.22px;
  text-align: left;
  color: #27b24d;
  text-align: center;
}

.login-box .signin,
.login-box .anotherpayment-title,
.login-box .sucess-message {
  font-size: 18px !important;
  font-weight: 400;
  line-height: 21.09px;
  text-align: left;
  color: #606060;
  margin-top: 10px;
  text-align: center;
}

.login-box .anotherpayment-title {
  font-size: 14px !important;
}

.login-box .sucess-message {
  font-size: 16px !important;
}

.login-box .signin span,
.login-box .sucess-message span {
  font-size: 18px !important;
  font-weight: 600;
  line-height: 21.09px;
  text-align: left;
  color: #27b24d;
}

.login-box .sucess-message span {
  font-size: 16px !important;
}

.login-box .btn-login {
  margin-top: 25px;
  height: 38px;
  background-color: #27b24d;
  color: white;
  font-weight: 600;
  cursor: pointer;
  text-align: center;
  width: 100%;
  border: #27b24d 0.5px solid;
}

.login-box input[type="text"],
.login-box input[type="password"] {
  margin-top: 25px;
  padding: 10px 15px;
  border: #27b24d 0.5px solid;
  width: 100%;
  border-radius: 6px;
}

.login-box input[type="text"]::placeholder,
.login-box input[type="password"]::placeholder {
  color: gray;
  opacity: 1;
}

.login-box input[type="text"]:focus,
.login-box input[type="password"]:focus {
  border: #27b24d 0.5px solid;
  outline: none;
}

.login-box .forgotpass {
  margin-top: 10px;
}

.login-box .remember-me {
  color: gray;
  display: flex;
}

.login-box .forgot-password {
  color: red !important;
  cursor: pointer;
  width: 100%;
}

.login-box .chk-remember-me {
  font-size: 24px !important;
  color: gray;
  cursor: pointer;
  margin-right: 2px;
  margin-top: -2px;
}

.login-box .spliter {
  padding: 30px 0px 20px 0px;
}

.login-box .tryanother-way {
  font-size: 17px !important;
  color: gray;
  text-align: right;
}

.login-box .tryanother-way span {
  cursor: pointer;
}

.login-box .tryanother-way:hover {
  text-decoration: underline;
}

.login-box .signin-methods ul {
  padding: 10px 30px;
}

.login-box .signin-methods ul li {
  padding: 15px;
  font-size: 18px !important;
  font-weight: 400;
  line-height: 21.09px;
  color: #606060;
  border-bottom: #dad7d7 1px solid;
  border-top: #dad7d7 1px solid;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f0efef;
}


.login-box .signin-methods ul li:hover {
  background-color: #e2e2e2;
}

.login-box .signin-methods ul li>span {
  color: #27b24d;
  padding-right: 10px;
  font-size: 25px !important;
}

.login-box .signin-methods ul li>span>img {
  height: 30px !important;
}

.display-none {
  display: none;
}

.login-box .signin-methods .breakline {
  margin-top: 30px;
  color: var(--bs-gray-400);
}

/* APP LAYOUT START */

.app-layout {
  width: 100%;
  background-color: #F7F7FA;
  min-height: 100vh;
}

.app-layout .app-header {
  background-color: #27b24d;
  color: white;
  padding: 10px 20px;
  box-sizing: border-box;
  text-align: right;
  margin-left: 250px;
  font-size: 22px !important;
  height: 55px;
}

.app-layout .app-header .page-title {
  padding: 0px 10px;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: 600;
}

.app-layout .app-header.small {
  margin-left: 80px;
}

.app-layout .app-header .icon,
.app-layout .app-header .h-menu-icon,
.app-layout .app-header .icon-without-hover {
  display: inline;
  font-size: 22px !important;
  cursor: pointer;
}

.app-layout .app-header .icon:hover,
.app-layout .app-header .h-menu-icon:hover {
  color: #000000;
}

.app-layout .app-header .h-menu {
  background-color: #F7F7FA;
  width: 160px;
  position: absolute;
  border-radius: 4px;
  right: 1%;
  box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.2);
  top: 33px;
  display: none;
}

.app-layout .app-header .h-menu.profile {
  right: 0.5%;
}

.app-layout .app-header .h-menu:hover,
.app-layout .app-header .h-menu-icon:hover+.h-menu {
  display: block;
}

.app-layout .app-header .h-menu .h-menu-list {
  width: 100%;
  padding: 5px 0px
}

.app-layout .app-header .h-menu .h-menu-list li {
  padding: 5px 2px;
  display: flex !important;
  color: #000000;
  font-size: 12px;
  cursor: pointer;
  text-align: left;
  transition: 0.3s;
  border-bottom: #efefef 1px solid
}

.app-layout .app-header .h-menu .h-menu-list li span {
  font-size: 16px !important;
  padding: 0px 10px;
}

.app-layout .app-header .h-menu .h-menu-list li:hover {
  background-color: #27b24cb1;
  cursor: pointer;
  color: #F7F7FA;
}

.app-layout .app-header .h-menu .h-menu-list li.active {
  background-color: #27b24d;
  cursor: pointer;
  color: #F7F7FA;
  font-size: 13px !important;
  font-weight: 600;
}

.app-layout .side-menu {
  width: 250px;
  background-color: #FFFFFF;
  color: white;
  position: fixed;
  height: 100%;
  left: 0;
  transition: width 0.3s;
}

.app-layout .side-menu .toggle-bar {
  text-align: right;
}

.app-layout .side-menu.small {
  width: 80px;
}

.app-layout .side-menu .menu-header {
  text-align: center;
  position: relative;
  padding: 0px 20px;
  height: 55px;
  border-bottom: 1px solid #dee2e6;
  color: #25a346;
}

.app-layout .side-menu .menu-header .app-spartaxx-logo {
  cursor: pointer;
}

.app-layout .side-menu .menu-header .home-icon {
  font-size: 40px !important;
}

.app-layout .side-menu .menu-header h2 {
  margin: 0;
  padding: 0;
  font-size: 24px !important;
  transition: opacity 0.3s;
}

.app-layout .side-menu.small .menu-header h2 {
  opacity: 0;
}

.app-layout .side-menu .menu-list {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.app-layout .side-menu.small .menu-list {
  margin-top: 2px !important;
}

.app-layout .side-menu .menu-list li {
  padding: 10px 20px;
  transition: padding 0.3s;
  display: flex;
  color: #000000;
  transition: 0.3s;
}

.app-layout .side-menu .menu-list li span {
  font-size: 25px !important;
  padding: 0px 10px;
}

.app-layout .side-menu.small .menu-list li {
  padding: 10px 10px;
  text-align: center;
}

.app-layout .side-menu .menu-list li svg,
.app-layout .side-menu.small .menu-list li svg,
.app-layout .side-menu.small .menu-list li svg {
  fill: #27b24d;
}

.app-layout .side-menu .menu-list li.active,
.app-layout .side-menu.small .menu-list li.active {
  background-color: #606060;
  cursor: pointer;
  color: #F7F7FA;
  font-size: 13px !important;
  font-weight: 600;
}

.app-layout .side-menu .menu-list li.active svg,
.app-layout .side-menu.small .menu-list li.active svg,
.app-layout .side-menu .menu-list li:hover svg,
.app-layout .side-menu.small .menu-list li:hover svg {
  fill: #ffffff;
}

.app-layout .side-menu .menu-list li:hover,
.app-layout .side-menu.small .menu-list li:hover {
  background-color: #606060;
  cursor: pointer;
  color: #F7F7FA;
  font-size: 13px !important;
  font-weight: 600;
}

.app-layout .content {
  margin-left: 250px;
  padding: 20px;
  transition: margin-left 0.3s;
}

.app-layout .content.small {
  margin-left: 80px;
}

@media screen and (max-width: 768px) {
  .app-layout .side-menu {
    width: 200px;
  }

  .app-layout .side-menu.small {
    width: 60px;
  }

  .app-layout .content {
    margin-left: 200px;
  }

  .app-layout .content.small {
    margin-left: 60px;
  }
}

@media screen and (max-width: 480px) {
  .app-layout .side-menu {
    width: 100%;
    height: auto;
    position: relative;
  }

  .app-layout .side-menu.small {
    width: 100%;
  }

  .app-layout .content {
    margin-left: 0;
  }

  .app-layout .side-menu .menu-list li {
    text-align: center;
  }
}

.display-inline-flex {
  display: inline-flex;
}

/* APP LAYOUT END*/

/* FORM DESIGN START */

.form-row {
  margin-bottom: 5px;
  display: flex;
  align-items: center;
}

.form-label {
  padding-top: 3px;
  margin-bottom: 3px !important;
}

.form-label-bold {
  padding-top: 3px;
  margin-bottom: 3px !important;
  font-weight: 600;
}

.form-textbox {
  padding-right: 10px !important;
}

span[class^='indicatorSeparator'],
span[class*='indicatorSeparator'] {
  display: none !important;
}


div[class^='indicatorContainer'] svg,
div[class*='indicatorContainer'] svg {
  fill: #27B24D !important;
}

div[class^='indicatorContainer'],
div[class*='indicatorContainer'] {
  padding: 0px !important;
}


.form-control {
  border-color: hsl(0, 0%, 80%) !important;
  padding: .550rem .75rem !important;
  height: 38px !important;
  font-size: 12px;
  width: 100%;
}

.css-b62m3t-container {
  height: 38px !important;
}

.form-control::placeholder {
  font-size: 12px !important;
}

.form-control:focus,
.form-control:active {
  outline: none !important;
  border-color: #dee2e6;
  box-shadow: none !important;
}

.form-btn {
  padding: 8px 10px;
  display: inline-flex;
  border-radius: 2px;
  font-weight: 600;
  align-items: center;
}

.form-btn .icon {
  padding: 0px 5px;
  font-size: 15px;
  font-weight: 600;
}

.form-btn.primary {
  background-color: #27b24d;
  border: #27b24d 1px solid;
  color: #ffffff;
  border-radius: 5px;

}

.form-btn.primary:disabled {
  opacity: 0.7;
}

.form-btn.primary:hover {
  color: #ffffff;
  background-color: #25a346;
}

.form-btn.secondary {
  background-color: #b3b6b9;
  border: #b3b6b9 1px solid;
  border-radius: 5px;
}

.form-btn.secondary:hover {
  background-color: #a9a9a9;
}

.form-btn.secondary.spliter {
  margin-right: 10px;
}

.form-btn.blue-btn {
  background-color: #008CBA;
  border: #008CBA 1px solid;
  color: #ffffff;
}

.form-btn.blue-btn:hover {
  background-color: #2a8cac83
}

.form-btn.blue-btn.spliter {
  margin-right: 10px;
}



.form-btn.black-btn {
  background-color: #073B3A;
  border: #073B3A 1px solid;
  color: #ffffff;
}

.form-btn.black-btn:hover {
  background-color: #073b3ac7
}




.form-checkbox {
  font-size: 17px;
  font-weight: 600;
  color: #354849;
  cursor: pointer;
  padding: 0px 3px;
}

.form-mandatory {
  color: red;
  font-weight: 600;
  padding-left: 2px;
}

.form-mt-auto {
  margin-top: auto;
  display: flex;
}

.no-spinner::-webkit-outer-spin-button,
.no-spinner::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.no-spinner {
  -moz-appearance: textfield;
}

.form-row .checkbox {
  padding-top: 35px;
}

.form-row .spanish-checkbox {
  padding-top: 15px;
}

.advancedsearch-formbutton {
  display: flex;
  justify-content: end;
}



.form-checkbox-disable {
  font-size: 17px;
  font-weight: 600;
  color: #354849;
  cursor: pointer;
  padding: 0px 3px;
  cursor: not-allowed;
  opacity: 0.5;
  pointer-events: none;
}

/* FORM DESIGN END */

/* CUSTOM GRID STYLE */

.custom-data-grid-table {
  max-height: 20rem;
  overflow: auto;
  position: relative;
  width: 100%;
  border: 1px solid #EFEFEF;
  border-radius: 10px 10px 0 0;
}

.custom-data-grid-table table {
  width: 100%;
}

.custom-data-grid-table table thead {
  background-color: #00A69C;
  position: sticky;
  top: -1px;
  color: #ffffff;
}

.custom-data-grid-table tbody tr:nth-child(odd) td {
  background-color: #E1FFE9;
  color: #606060;
}

.custom-data-grid-table tbody tr:nth-child(even) td {
  background-color: #FBFBFB;
  color: #606060;
}

.custom-data-grid-table table thead td {
  font-size: 14px;
}

.custom-data-grid-table table th,
.custom-data-grid-table table td {
  padding: 10px;
  border-bottom: 1px solid #EFEFEF;

  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.custom-data-grid-table table td {
  padding: 5px 20px;
}

.custom-data-grid-table table td button {
  background: #4db748 !important;
  color: #ffffff !important;
  padding: 5px 10px !important;
  border-radius: 3px !important;
  width: fit-content;
  margin: 0;
  height: fit-content;
  border: none !important;
}

.custom-data-grid-table-footer {
  border: 1px solid #EFEFEF;
  border-top: none;
  padding: 10px !important;
  user-select: none;
}

.custom-data-grid-table-footer h6 {
  margin: 0;
}

.custom-data-grid-table-footer .right ul.pagination {
  margin: 0;
  gap: 10px;
}

.custom-data-grid-table-footer .right ul.pagination li a {
  color: #000000;
}

.custom-data-grid-table-footer .right ul.pagination li a {
  color: #4db748 !important;
}

.app-pbc .custom-data-grid-table {
  max-height: 54vh;
  overflow: scroll;
  padding-bottom: 20px;
}

/* END CUSTOM GRID STYLE */

/* PAGE LOADER */

.full-page-loader {
  position: absolute;
  height: 100vh;
  width: 100%;
  display: flex;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(2px);
  z-index: 999;
  top: 0;
  left: 0;
}

/* END PAGE LOADER */

/* Login Button Spinner Start */

.cursor-no-drop {
  cursor: no-drop !important;
}

.signin-spinner {
  border: 4px solid rgba(0, 0, 0, 0.35);
  border-left-color: #FFFFFF;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  animation: spin 1s linear infinite;
  margin: 20px auto;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/* Login Button Spinner End */

.custom-toast-warning {
  color: #080808 !important;
  transform: translate(-50%, -50%);
  font-weight: 600;
  background-color: rgba(214, 137, 16, 0.8) !important;
}

.custom-toast-error {
  color: #fff !important;
  transform: translate(-50%, -50%);
  font-weight: 600;
  background-color: rgba(255, 0, 0, 0.74) !important;
}

.custom-toast-sucess {
  color: #080808 !important;
  transform: translate(-50%, -50%);
  font-weight: 600;
  background: rgba(0, 255, 0, 0.5) !important;
}

.custom-toast-info {
  color: #080808 !important;
  transform: translate(-50%, -50%);
  font-weight: 600;
  background-color: rgba(135, 206, 235, 0.5);
}

.justify-right {
  display: flex;
  justify-content: right;
}

.termp-tblheader {
  color: #354849;
  font-size: 13px;
  width: 100%;
  text-align: center;
  font-weight: 600;
}

.fw-500 {
  font-weight: 500;
}

table .text-main {
  color: #606060;
  font-size: 12px;
  font-weight: 700;
}


table .text-sub {
  color: #606060;
  font-size: 12px;
  font-weight: 400;
}

a {
  color: #0d6efd !important;
  cursor: pointer;
}

.cursor-pointer {
  cursor: pointer;
  ;
}

.infinite-scroll-component {
  overflow: visible !important;
}

.modal-footer {
  border-top: none !important;
}

@media (min-width: 1200px) {

  .h4,
  h4 {
    font-size: 1rem;
  }
}

.table-wrapper .sort-dbl-arrow {
  display: none;
}

.table-wrapper .header-text:hover .sort-dbl-arrow {
  display: inline !important;
  width: 50%;

}

/* PopUp Start */
.modal-overlay-popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content-popup {
  background: white;
  padding: 20px;
  border-radius: 5px;
  text-align: center;
  width: 30%;
}

.modal-buttons-popup {
  display: flex;
  justify-content: center;
  gap: 10px;
  padding-top: 10px;
}

.modal-buttons-popup button {
  padding: 0px 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  color: white;
  background-color: #27b24d;
}

.modal-buttons-popup .btn-primary {
  background-color: #27b24d;
}

.account-popup .modal-dialog {
  max-width: 71% !important;
}

.modal-header-popup h2 {
  margin: 0;
  font-size: 18px;
}

/* PopUp End */

/* reactivation popup  start */
.reactivation-popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.reactivation-popup-content {
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  width: 585px;
  padding: 20px;
  box-sizing: border-box;
  text-align: center;
  position: relative;
}

.reactivation-popup-header {
  text-align: left;
}

.reactivation-popup-header h2 {
  margin: 0;
  font-size: 1.5em;
  color: #333;
}

.reactivation-popup-close {
  position: absolute;
  top: 10px;
  right: 10px;
  background: none;
  border: none;
  font-size: 1.5em;
  color: #ff0000;
  cursor: pointer;
  transition: color 0.3s;
}

.reactivation-popup-close:hover {
  color: #ff0000;
}

.reactivation-popup-title {
  margin: 0;
  font-size: 1.5em;
  color: #333;
  padding-bottom: 10px;
}

.reactivation-popup-underline {
  height: 2px;
  background-color: #a99d9d;
  display: block;
}

.reactivation-popup-body {
  margin-bottom: 20px;
  margin-top: 5px;
}

.reactivation-popup-buttons {
  display: flex;
  justify-content: center;
  gap: 180px;
}

.reactivation-popup-btn {
  background: #27b24d;
  border: none;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1em;
  transition: background-color 0.3s;
}

.reactivation-popup-btn:hover {
  background-color: #27b24d;
}

.reactivation-popup-buttons .reactivation-popup-btn+.reactivation-popup-btn {
  margin-left: 10px;
}

.reactivation-message-paragraph {
  font-size: 13px;
  text-align: left;
  margin: 0;
  padding: 0;
}

.reactivation-message-client-infofirst {
  font-size: 13px;
  text-align: left;
  margin: 0;
  padding: 0;
  color: #935ff0;
  font-weight: bold;
  margin-top: 10px;
}

.reactivation-message-client-infomiddle {
  font-size: 13px;
  text-align: left;
  margin: 0;
  padding: 0;
  color: #935ff0;
  font-weight: bold;
}

.reactivation-message-client-infolast {
  font-size: 13px;
  text-align: left;
  margin: 0;
  padding: 0;
  color: #935ff0;
  font-weight: bold;
  margin-bottom: 10px;
}

/* reactivation popup end  */

.custom-toast-warningNonprodutCount {
  color: #080808 !important;
  transform: translate(-50%, -50%);
  font-weight: 600;
  background-color: rgba(214, 137, 16, 0.8) !important;
}


/* Email popup start  */
.email-popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.email-popup-content {
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  max-width: 80%;
  width: 1000px;
  padding: 20px;
  position: relative;
  overflow-x: auto;
  box-sizing: border-box;
}

.email-popup-header {
  margin-bottom: 10px;
}

.email-popup-header h2 {
  margin: 0;
  font-size: 20px;
  color: #333;
}

.email-popup-table {
  width: 100%;
  border-collapse: collapse;
}

.email-popup-table th,
.email-popup-table td {
  padding: 10px;
  border: 1px solid #ddd;
  text-align: left;
}

.email-popup-table th {
  background-color: #f4f4f4;
  font-weight: bold;
}

.email-popup-buttons {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.email-popup-btn-left {
  float: left;
}

.email-popup-btn-right {
  float: right;
}

.email-popup-buttons .btn-primary {
  background: #27b24d;
  border: none;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1em;
  transition: background-color 0.3s;
}

.email-popup-buttons .btn-primary:hover {
  background-color: #27b24d;
}

.email-popup-info-container {
  margin: 0;
  font-size: 16px;
  color: #333;
  margin-bottom: 10px;
  margin-top: 10px;
}

.email-popup-underline {
  height: 2px;
  background-color: #a99d9d;
  display: block;
}

.email-popup-close {
  position: absolute;
  top: 10px;
  right: 10px;
  background: none;
  border: none;
  font-size: 1.5em;
  color: #ff0000;
  cursor: pointer;
  transition: color 0.3s;
}

.email-popup-close:hover {
  color: #ff0000;
}

/* Email popup end  */

.reactmodaloverlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: start;
  justify-content: center;
}

.reactmodalopen {
  position: relative;
  width: 18%;
  margin: 20px;
  padding: 20px;
  background: white;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.reactmodalopenscheduler {
  position: relative;
  width: 42%;
  margin: 10px;
  padding: 20px;
  background: white;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.reactmodalopenfilter {
  position: relative;
  width: 26.4%;
  margin: 10px;
  padding: 10px;
  background: white;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}


.modal-content {
  display: flex;
  flex-direction: column;
}

.form-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin-top: 10px;
}


.form-row-scheduler {
  align-items: center;
  display: flex;
  justify-content: space-between;
}

.container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.column {
  flex: 1 1 calc(25% - 30px);
  box-sizing: border-box;
  margin: 10px;
}


.column2 {
  width: 12rem;
  box-sizing: border-box;
  margin: 10px;
}

.columns:not(:last-child) {
  margin-right: 10px;
  /* Add space between columns */
}

.form-row-protest {
  display: block;
  align-items: center;
  margin-bottom: 5px;
  margin-left: 10px;
}

.form-row input[type="text"],
.form-row select {

  padding: 8px;
  box-sizing: border-box;
}

.close-button {
  float: right;
  color: #fff;
  background-color: #0d6efd;
  margin-bottom: 10px;
}

.header {
  font-size: 14px;
  align-items: center;
  font-weight: bold;
}

.button-save-button-filterscheduler {
  background-color: #27b24d;
  border: #27b24d 1px solid;
  font-weight: bold;
  color: #ffffff;
  align-items: center;

  padding: 7px 7px;
  display: inline-flex;
  border-radius: 5px;
}

.advancedsearch-formbutton-scheduler {
  display: flex;
  justify-content: flex-end;
  margin-left: 30rem;
  margin-top: 25px;
}

.advancedsearch-formbutton-filter {
  display: flex;
  margin-top: 34px;
}

.advancedsearch-formbutton-filter-modal {
  display: flex;
  margin-left: -20px;
  margin-top: 24px;
}

.icon-2-protestfilter {
  font-size: 20px;
  border-radius: 50%;
  background-color: #27B24D;
  color: white;
  height: 30px;
  width: 30px;
  justify-content: center;
  align-items: center;
  padding: 5px;
  cursor: pointer;
  float: right;
}

.create-btn {
  float: right;
  font-size: 25px;
  margin-right: 10px;
  margin-bottom: 10px;
}

.create-btn-span {
  float: right;
  font-size: 14px;
  margin-right: 20px;
}

.form-control-custom-select {
  font-size: 12px;
  width: 15.2rem;
  height: 40px;
  border: 1px solid #ccc;
  border-radius: 7px;
  color: black;
  flex: 2.4;
  padding: 10px;

}

.span-error {
  color: red;
  font-size: 12px;
}

.icon-protest {
  float: right;
  background-color: #27B24D;
  color: white;
  font-size: 25px;
  margin-right: 20px;
}

.form-control-input-field {
  font-size: 12px;
  width: 60%;
  border: 1px solid #ccc;
  border-radius: 7px;
  color: black;
  margin-right: 40px;
}

.buttons {
  margin-right: 10px;
  margin-top: 10px;
  margin-bottom: 10px;

}

.span-icon-protest {
  display: flex;

}

.app-pbc .table .edit-btn-protest {
  font-size: 20px;
  color: white;
  cursor: pointer;
  border-radius: 5px;
  background-color: green;
  margin-left: 5px;
}

.modal-header {
  display: flex;
  flex-shrink: 0;
  align-items: center;
  padding: var(--bs-modal-header-padding);
  border-bottom: var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);
  border-top-left-radius: var(--bs-modal-inner-border-radius);
  border-top-right-radius: var(--bs-modal-inner-border-radius);
  margin-bottom: 2%;

  white-space: nowrap;

}

.modal-header .btn-close {
  /* margin-left: 27rem; */
  font-size: 14px;
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: .25em .25em;
  color: var(--bs-btn-close-color);
  background: transparent var(--bs-btn-close-bg) center / 1em auto no-repeat;
  border: 0;
  border-radius: .375rem;
  opacity: var(--bs-btn-close-opacity);

}

.modal-body {
  position: relative;
  flex: 1 1 auto;
  padding: var(--bs-modal-padding);
}

.scheduler-modal-body {
  position: relative;
  flex: 1 1 auto;
  padding: var(--bs-modal-padding);
  width: 60%;
}

.modal.show .modal-dialog {
  transform: none;
}

.header-line {
  border: none;
  border-top: 2px solid #ccc;

}

.form-textbox-select {

  width: 15rem;
  -ms-flex-align: center;
  align-items: center;
  cursor: default;

  margin-top: 5px;
  justify-content: space-between;
  min-height: 38px;
  outline: 0 !important;
  position: relative;

  transition: all 100ms;
  background-color: hsl(0, 0%, 100%);
  border-color: hsl(0, 0%, 80%);
  border-radius: 4px;
  border-style: solid;
  border-width: 1px;
  box-shadow: none;
  box-sizing: border-box;
}

.app-pbc .protest-filter-container {
  margin-top: 5px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  margin-bottom: 20px;

}

.app-pbc .protest-filter-container .p-heading {
  float: left;
}

.pbc-filter-container {
  margin-top: 30px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px 0;
  float: right;
}


.protest-process {
  /* height: 88vh !important; */
  position: relative;
}

.app-pbc .table-wrapper {
  border-radius: 10px;
  width: 80%;
}

.table-wrapper-protest-filter {
  width: 40%;
}

.app-pbc .table-wrapper-protest-filter {
  border-radius: 10px;
  width: 80%;
}

.custom-data-grid-table table th,
.custom-data-grid-table table td {
  padding: 10px;
  border-bottom: 1px solid #EFEFEF;

  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.filter-row {
  width: 54%;
}

.filter-row-buttons {
  display: flex;

}

.save-icon-filter {
  background-color: #27b24d;
  border: #27b24d 1px solid;
  color: #ffffff;
  font-size: 25px;
  margin-left: 10px;
  white-space: nowrap;
  border-radius: 5px;
}

.flex-center {
  display: flex;
  align-items: left;
  justify-content: center;
}

.row-scheduler {
  margin-left: 0 !important;
  margin-right: 0 !important;
  flex-wrap: nowrap;
}

.form-btn.primary-protest {
  background-color: #27b24d;
  border: #27b24d 1px solid;
  color: #ffffff;
  border-radius: 5px;
  margin-left: 10px;
  white-space: nowrap;
}

.table-wrapper-protest {
  margin-bottom: 20px;
}

.icon-container {
  float: right;
  margin-bottom: 30px;
}

.dayradio {
  margin-left: 1rem;
  margin-right: 40rem;
  margin-top: 1rem;
}

.schedulerform {
  width: 50rem;
}